First commit to the community packages of JCB

This commit is contained in:
Llewellyn van der Merwe 2018-05-01 22:26:31 +02:00
commit 5f59f36429
No known key found for this signature in database
GPG Key ID: CAD7B16D27AF28C5
9 changed files with 63 additions and 0 deletions

5
JCB_demo.info Normal file
View File

@ -0,0 +1,5 @@
Iv2W0KBJI6wquH8cuSX1rduwuzJ88O/kDGIwPpR4h6VQiQD2LZ7zae/35fsLBDwxglV4+hwbrwk5vFt8lbmJ6Cy5MFVK6Y2RQVufkGY+5rnvY2XdQ1+clUiywgh1ysJz
IZPXCiVa3QLfDVhRtAkPnrwqJFiAQvKZbHjXQfWh1VKel8nvwstKaMV03lduoitKy7HvZHa+9MqV3NQMbfTmZmwEnWYOxs6aV1S3Zm8DCAi2aReBx7CDV6WIYrTCseF1
hq2tmKboBS4OylhVyyo3Uimxr5fWvd/gIY2I58YucHfbcwYDSc7PZSKfJmYzlky9j5N969+d/QynSKp5BVw07HXwUgEb/MON2A+jfknof6jPk/AclkG6qzJw/9t/uhLz
3S1BOizbTOW2xgbhfkW/Hs6SsKo+dQ8I5yhziN6llbu87mmDdD6rUsChkDVEYyp0X96IkUoSQXCs8hdmBlmEBA5j1vTsqMpHkfTiIuqZW+8bGPzthx6LarRziPcWQ1pj
MFNoEdarIcp6Ay9H0yKdmKwuS7p3jzrg+PQXlGZUHL4ziypFwevxBp0GYKzwBERCJbeqfsSXtoGse+p0rQi9+15tgSNABcU6mDRwG0nluzY=

1
JCB_demo.sha Normal file
View File

@ -0,0 +1 @@
108e880ae09a14659b784fc37108ac7d010a55e2

BIN
JCB_demo.zip Normal file

Binary file not shown.

5
JCB_helloWorld.info Normal file
View File

@ -0,0 +1,5 @@
bS6VrakzZgv3lM+TWwZ9XCwsXY38erun1nUALHocFAkl7pAudhaAwWN4RU64yJYq9IP3tHewY29H5G8GvRJgvZEkm2miCIou/ZrThuQVuPMZD3VS+vxsW/NBKrKNYhPT
QLNWtAF5bc98fLbTHq6R17VQ2ifFolacV1RuWz2YMuMbuoSKjpV/XVlIWWuKC+l98TLeJvGYv0zIKN/e4vsXz8xeT+PomT30ssuAe89XsG73ht6OtRKt9uApsf/nTOis
CFsAyq89aSr/Sil8+NR8egXP9V6ooJymlXCj51coBT276F/UYXAl9BAic4SgYbK/a8z7QkQMHjHiv7jNoxhlpvArJX0dEk6/MEBTv/mhab6wTPyKRYLU/JuW1yjJSWvJ
APd6ZTDLYIG99p0+ydKdtdd/sL0BS0O+dCeDAAo2PIK/XspzJ3WqKoWHD+1p1gF0Yq0VJLAdoVhPjkM8XBLWo/3CmOyNk6o8glhsSTY0Mk2DHXhdgaJ0hRO2W1Jj4JNN
eVVLJepRIHrw9gHfQGHferr3OhvV4yC3L32vIAOtfmqRwpLgj5UP9H04MsIZ3Lkc

1
JCB_helloWorld.sha Normal file
View File

@ -0,0 +1 @@
b09361d05af95b79360d9aebf47072787a5a8fb4

BIN
JCB_helloWorld.zip Normal file

Binary file not shown.

4
checksum.json Normal file
View File

@ -0,0 +1,4 @@
{
"JCB_demo.zip": "108e880ae09a14659b784fc37108ac7d010a55e2",
"JCB_helloWorld.zip": "b09361d05af95b79360d9aebf47072787a5a8fb4"
}

40
hash.sh Executable file
View File

@ -0,0 +1,40 @@
#! /bin/bash
# Do some prep work
command -v jq >/dev/null 2>&1 || { echo >&2 "We require jq for this script to run, but it's not installed. Aborting."; exit 1; }
command -v sha1sum >/dev/null 2>&1 || { echo >&2 "We require sha1sum for this script to run, but it's not installed. Aborting."; exit 1; }
# quick checksum generator for all the Bibles used in getBible.net
echo -n "[vdm.io] -- Building checksum and info file for all JCB (zip) Packages found in this repository......"
# setup: positional arguments to pass in literal variables, query with code
jq_args=( )
jq_query='.'
# counter
nr=1
for filename in *.zip; do
# get the hash
fileHash=$(sha1sum "$filename" | awk '{print $1}')
# build the hash file name
hashFileName="${filename/.zip/.sha}"
# create/update the file checksum
echo "$fileHash" > "$hashFileName"
# shop file name
shopFileName="${filename/.zip/.info}"
# pull the info file from zip for shop
unzip -q "$filename" info.vdm
mv info.vdm "$shopFileName"
# load the values for json
jq_args+=( --arg "key$nr" "$filename" )
jq_args+=( --arg "value$nr" "$fileHash" )
# build query for jq
jq_query+=" | .[\$key${nr}]=\$value${nr}"
#next
nr=$((nr+1))
done
# run the generated command with jq
jq "${jq_args[@]}" "$jq_query" <<<'{}' > checksum.json
# done with hash
echo "done"

7
readme.md Normal file
View File

@ -0,0 +1,7 @@
# Demo Components for [JCB](https://github.com/vdm-io/Joomla-Component-Builder)
You can now with much ease import components in to JCB that are already mapped. You can then adapt these components to your needs and resell!
## Watch [this tutorial](https://youtu.be/lkE0ZiSWufg) on how to add these components to your JCB install.
Some of these packages need a key to buy access to these keys please got to [http://vdm.bz/jcb-packages](http://vdm.bz/jcb-packages).